Bug 448558 - Review Request: xorg-x11-drv-sunbw2 - sunbw2 x.org driver
Review Request: xorg-x11-drv-sunbw2 - sunbw2 x.org driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-27 13:12 EDT by Dennis Gilmore
Modified: 2008-06-06 17:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 17:44:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2008-05-27 13:12:07 EDT
Spec URL: http://ausil.us/packages/xorg-x11-drv-sunbw2.spec
SRPM URL: http://ausil.us/packages/xorg-x11-drv-sunbw2-1.1.0-3.fc9.git20080527.src.rpm
Description: X.org module for sunbw2
Comment 1 Dennis Gilmore 2008-06-03 19:22:15 EDT
scratch build http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=59417

Comment 2 Brian Pepple 2008-06-04 21:17:33 EDT
Good:
* Verified source tarball against git.
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners

Bad:
* rpmlint produces the following error:
xorg-x11-drv-sunbw2.sparc64: W: invalid-license MIT/X11

Looking at the license matrix, it looks like it should just be MIT.  You can fix
this when you import this into CVS.

Note: I don't have the hardware to verify that this driver works, but from a
packaging standpoint this package looks fine.

+1 APPROVE
Comment 3 Dennis Gilmore 2008-06-06 00:23:29 EDT
Package Name: xorg-x11-drv-sunbw2
Short Description: X driver for sunbw2
Owners: ausil spot jima pjones
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Dennis Gilmore 2008-06-06 17:44:00 EDT
imported and built  thanks for the review

Note You need to log in before you can comment on or make changes to this bug.